Mark as unread
curl --request POST \
--url https://api.hi-doctor.ai/v1/users/conversations/{id}/mark-unread/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.hi-doctor.ai/v1/users/conversations/{id}/mark-unread/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.hi-doctor.ai/v1/users/conversations/{id}/mark-unread/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"locale": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_message": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"file": "<string>",
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"translation_enabled": true,
"translation_default_on": true
},
"last_message_created_at": "2023-11-07T05:31:56Z",
"unread_count": 123,
"subscription_status": "<string>",
"is_active": true,
"pinned_at": "2023-11-07T05:31:56Z",
"translation_target_lang": "<string>"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}{
"detail": "No Consultation matches the given query."
}Messages
Mark as unread
Marks the conversation unread.
POST
/
v1
/
users
/
conversations
/
{id}
/
mark-unread
/
Mark as unread
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The patient a conversation belongs to.
Show child attributes
Show child attributes
The most recent message. Null when the thread is empty.
Show child attributes
Show child attributes
Available options:
USER, DOCTOR ⌘I